"""
Package implementing three-gene regulatory network models using the sigmoid
formalism (Plahte et al. 1998), in the diploid form introduced by Omholt et al.
(2000) with one differential equation per allele. 

References:

* Plahte E, Mestl T, Omholt SW (1998)
  `A methodological basis for description and analysis of systems with complex
  switch-like interactions <http://dx.doi.org/10.1007/s002850050103>`_ J. Math.
  Biol. 36: 321-348.

* Omholt SW, Plahte E, Oyehaug L and Xiang K (2000)
  `Gene regulatory networks generating the phenomena of additivity, dominance
  and epistasis <http://www.genetics.org/content/155/2/969.full>`_ Genetics
  155(2): 969-980.
"""
